Bug 1006760 - Cannot import system-view XML if it contains versioned nodes which are checked-in
Cannot import system-view XML if it contains versioned nodes which are checke...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 05:03 EDT by Horia Chiorean
Modified: 2016-02-10 03:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:51:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2039 Major Closed Importing XML continues to throw VersionException for multi-valued properties 2014-02-14 05:58:21 EST

  None (edit)
Description Horia Chiorean 2013-09-11 05:03:38 EDT
When trying to import a system-view XML file which contains versioned nodes with the "isCheckedOut" property with the value "false", the following exception is raised:

avax.jcr.version.VersionException: '/testNode' (or its nearest versionable ancestor) is checked in, preventing this action
	at org.modeshape.jcr.AbstractJcrNode.checkForCheckedOut(AbstractJcrNode.java:661)
	at org.modeshape.jcr.AbstractJcrNode.setProperty(AbstractJcrNode.java:1838)
	at org.modeshape.jcr.JcrContentHandler$BasicNodeHandler.create(JcrContentHandler.java:813)
	at org.modeshape.jcr.JcrContentHandler$BasicNodeHandler.node(JcrContentHandler.java:585)
	at org.modeshape.jcr.JcrContentHandler$BasicNodeHandler.finish(JcrContentHandler.java:570)
	at org.modeshape.jcr.JcrContentHandler$SystemViewContentHandler.endElement(JcrContentHandler.java:1012)
	at org.modeshape.jcr.JcrContentHandler.endElement(JcrContentHandler.java:373)
	at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
	at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
	at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
	at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
	at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
	at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
	at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
	at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
	at org.modeshape.jcr.JcrSession.importXML(JcrSession.java:1472)
Comment 1 JBoss JIRA Server 2013-09-11 05:59:01 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2039

Fixed the import of documents which have the "isCheckedOut" flag set to "false".
Comment 2 JBoss JIRA Server 2013-09-11 12:37:30 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2039

Merged into the 'master' branch. Leaving open until it can be cherry-picked into the '3.3.x-prod-ip6.0' branch.
Comment 8 JBoss JIRA Server 2013-10-24 05:22:41 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2039 to Closed
Comment 9 belong 2013-11-19 18:18:44 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.